Return the audit logs.
1 min
GET
https://api.upstartcommerce.com/pim/audit-logs/report
startTimestampstring<date-time>Filter by start of the creation timestamp range.
endTimestampstring<date-time>Filter by end of the creation timestamp range.
pageintegerPage number for pagination.
pageSizeintegerPage size for pagination.
entitystringEntity Type
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site.
x-upstart-sitestringThe site identifier.
200audit logs.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint.
403User's roles are insufficient for this endpoint.
404The requested resource was not found in the NoChannel system.
405This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
406This is to indicate that the resource requested by the client cannot be provided in a format that is acceptable according to the Accept headers sent in the request.
409This is to indicate a conflict between the current state of a resource and the request made by the client. It indicates that the server cannot complete the request due to a conflict with the current state of the resource.
defaultThis is the default internal server error. System was not able to process this request.
curl --request GET \
--url 'https://api.upstartcommerce.com/pim/audit-logs/report?page=integer&pageSize=100' \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'